/* Unpack CLib Protos File */

#ifndef	CLIB_UNPACK_PROTOS_H
#define	CLIB_UNPACK_PROTOS_H

#ifndef LIBRARIES_UNPACK_H
#include <libraries/unpack.h>
#endif

struct UnpackInfo *upAllocCInfo (void);
void  upFreeCInfo (struct UnpackInfo *);
BOOL  upDetermineFile (struct UnpackInfo *, char *);
BOOL  upUnpack (struct UnpackInfo *);
BOOL  upTestHunk (APTR);
char *upUnpackList (struct UnpackInfo *);
char *upUnpackListNext (struct UnpackInfo *);
BOOL  upLoadFile (struct UnpackInfo *);
void  upFreeFile (struct UnpackInfo *);
struct DriveStruct *upUseDrive (struct UnpackInfo *, char *);
void  upUnuseDrive (struct DriveStruct *);
UBYTE upSendCmd (struct DriveStruct *, APTR, ULONG, ULONG, UBYTE);
struct NumberStruct *upNewUnpackNum (void);
struct UnpListStruct *upGetUnpacker (struct UnpackInfo *, UWORD);

#endif
